import * as core from 'aws-cdk-lib';
import { aws_lambda } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { TargetType } from './index';
import { ITarget } from '../index';
export interface LambdaTargetProps {
    lambda: aws_lambda.Function[];
}
export declare class LambdaTarget extends core.Resource implements ITarget {
    /**
     * The TargetType
     */
    type: TargetType;
    /**
     * Targets
     */
    targets: core.aws_vpclattice.CfnTargetGroup.TargetProperty[];
    constructor(scope: Construct, id: string, props: LambdaTargetProps);
}
